View Issue Details

IDProjectCategoryView StatusLast Update
0023266mantisbtcustom fieldspublic2017-10-08 23:52
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.6.0 
Target Version2.7.0Fixed in Version2.7.0 
Summary0023266: Filter selection for numeric custom fields show values not coherent with custom field type
Description

When custom fields with a number based type (numeric, float) are populated on filter form, the values shown may not match the actual field type.
This can happen if a string is stored as value, when the field is of number based type
Filtering on those values may behave bogusly, since those values may not be rendered anyway.

Attached example, of a float field, where invalid string values ("asdf") are populated.

TagsNo tags attached.

Relationships

child of 0023443 closedcproensa Fixes related to custom fields on filters, columns and visibility 

Activities

cproensa

cproensa

2017-08-26 13:11

developer  

Menú_246.png (2,702 bytes)
Menú_246.png (2,702 bytes)

Related Changesets

MantisBT: master d886a795

2017-08-26 08:42:48

cproensa


Committer: dregad Details Diff
Cast custom fields distinct values

Cast values for number based custom fields, when retrieving distinct
values. This allows:
- The values are sorted numerically on the list
- The values returned match what will be shown in the custom field, in
case of type mismatch. For example, when having text stored in a
numeric field.

Fixes: 0023265, 0023266
mod - core/custom_field_api.php Diff File

Issue History

Date Modified Username Field Change
2017-08-26 13:11 cproensa New Issue
2017-08-26 13:11 cproensa File Added: Menú_246.png
2017-08-26 13:12 cproensa Description Updated View Revisions
2017-08-26 13:13 cproensa Status new => assigned
2017-08-26 13:13 cproensa Assigned To => cproensa
2017-10-07 12:45 dregad Changeset attached => MantisBT master d886a795
2017-10-07 12:45 cproensa Status assigned => resolved
2017-10-07 12:45 cproensa Resolution open => fixed
2017-10-07 12:45 cproensa Fixed in Version => 2.7.0
2017-10-07 13:31 atrol Target Version => 2.7.0
2017-10-08 11:50 cproensa Relationship added child of 0023443
2017-10-08 23:52 vboctor Status resolved => closed